Page MenuHomePhabricator

efl.layout.group
Closed, ResolvedPublic

Description

|interface Efl.Layout.Group
|├ (P) group_size_min
|├ (P) group_size_max
|├ (P) group_data
|├ (P) part_exist

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:44 AM
zmike triaged this task as TODO priority.
zmike moved this task from Backlog to Evaluating on the efl: api board.Jan 28 2019, 8:38 AM

I think this interface looks good, but I'm not sure whether we need to support edje features in efl_ui_image.eo.

zmike added a comment.Jan 29 2019, 8:39 AM

The alternative would be to add explicit methods for signal handling, the names of which would likely conflict with layout signal method naming and guarantee naming conflicts for any case where both classes/interfaces are brought into the same hierarchy.

I think it makes sense to keep things this way.

zmike moved this task from Evaluating to Stabilized on the efl: api board.Jan 31 2019, 5:15 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mar 11 2019, 10:47 AM
zmike claimed this task.